<?xml version="1.0" encoding="UTF-8"?>
<wsdl:definitions name="administration" targetNamespace="http://ws.kivox.soran.com/" xmlns:ns1="http://schemas.xmlsoap.org/soap/http" xmlns:soap="http://schemas.xmlsoap.org/wsdl/soap/" xmlns:tns="http://ws.kivox.soran.com/" xmlns:wsdl="http://schemas.xmlsoap.org/wsdl/" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <wsdl:types>
    <xs:schema attributeFormDefault="unqualified" elementFormDefault="unqualified" targetNamespace="http://ws.kivox.soran.com/" xmlns:xs="http://www.w3.org/2001/XMLSchema">
      <xs:element name="addSpeakersToList" type="tns:addSpeakersToList"/>
      <xs:element name="addSpeakersToListResponse" type="tns:addSpeakersToListResponse"/>
      <xs:element name="createPrintList" type="tns:createPrintList"/>
      <xs:element name="createPrintListResponse" type="tns:createPrintListResponse"/>
      <xs:element name="deletePrintList" type="tns:deletePrintList"/>
      <xs:element name="deletePrintListResponse" type="tns:deletePrintListResponse"/>
      <xs:element name="removeSpeakersToList" type="tns:removeSpeakersToList"/>
      <xs:element name="removeSpeakersToListResponse" type="tns:removeSpeakersToListResponse"/>
      <xs:complexType name="addSpeakersToList">
        <xs:sequence>
          <xs:element name="session" type="xs:string"/>
          <xs:element name="list" type="xs:string"/>
          <xs:element maxOccurs="unbounded" name="speakers" type="xs:string"/>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="addSpeakersToListResponse">
        <xs:sequence>
          <xs:element minOccurs="0" name="return" type="tns:addSpeakersToListRes"/>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="addSpeakersToListRes">
        <xs:sequence>
          <xs:element minOccurs="0" name="errorMsg" type="xs:string"/>
          <xs:element minOccurs="0" name="status" type="tns:authenticationStatus"/>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="removeSpeakersToList">
        <xs:sequence>
          <xs:element name="session" type="xs:string"/>
          <xs:element name="list" type="xs:string"/>
          <xs:element maxOccurs="unbounded" name="speakers" type="xs:string"/>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="removeSpeakersToListResponse">
        <xs:sequence>
          <xs:element minOccurs="0" name="return" type="tns:removeSpeakersFromListRes"/>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="removeSpeakersFromListRes">
        <xs:sequence>
          <xs:element minOccurs="0" name="errorMsg" type="xs:string"/>
          <xs:element minOccurs="0" name="status" type="tns:authenticationStatus"/>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="deletePrintList">
        <xs:sequence>
          <xs:element name="session" type="xs:string"/>
          <xs:element name="list" type="xs:string"/>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="deletePrintListResponse">
        <xs:sequence>
          <xs:element minOccurs="0" name="return" type="tns:deletePrintListRes"/>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="deletePrintListRes">
        <xs:sequence>
          <xs:element minOccurs="0" name="errorMsg" type="xs:string"/>
          <xs:element minOccurs="0" name="status" type="tns:authenticationStatus"/>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="createPrintList">
        <xs:sequence>
          <xs:element name="session" type="xs:string"/>
          <xs:element name="list" type="xs:string"/>
          <xs:element name="type" type="xs:string"/>
          <xs:element name="engine" type="xs:string"/>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="createPrintListResponse">
        <xs:sequence>
          <xs:element minOccurs="0" name="return" type="tns:createPrintListRes"/>
        </xs:sequence>
      </xs:complexType>
      <xs:complexType name="createPrintListRes">
        <xs:sequence>
          <xs:element minOccurs="0" name="errorMsg" type="xs:string"/>
          <xs:element minOccurs="0" name="status" type="tns:authenticationStatus"/>
        </xs:sequence>
      </xs:complexType>
      <xs:simpleType name="authenticationStatus">
        <xs:restriction base="xs:string">
          <xs:enumeration value="SUCCESS"/>
          <xs:enumeration value="FAIL"/>
        </xs:restriction>
      </xs:simpleType>
      <xs:element name="AuthenticationFault" nillable="true" type="xs:string"/>
    </xs:schema>
  </wsdl:types>
  <wsdl:message name="removeSpeakersToListResponse">
    <wsdl:part element="tns:removeSpeakersToListResponse" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="AuthenticationException">
    <wsdl:part element="tns:AuthenticationFault" name="AuthenticationException"/>
  </wsdl:message>
  <wsdl:message name="removeSpeakersToList">
    <wsdl:part element="tns:removeSpeakersToList" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="addSpeakersToList">
    <wsdl:part element="tns:addSpeakersToList" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="deletePrintList">
    <wsdl:part element="tns:deletePrintList" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="createPrintList">
    <wsdl:part element="tns:createPrintList" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="deletePrintListResponse">
    <wsdl:part element="tns:deletePrintListResponse" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="addSpeakersToListResponse">
    <wsdl:part element="tns:addSpeakersToListResponse" name="parameters"/>
  </wsdl:message>
  <wsdl:message name="createPrintListResponse">
    <wsdl:part element="tns:createPrintListResponse" name="parameters"/>
  </wsdl:message>
  <wsdl:portType name="AdministrationService">
    <wsdl:operation name="addSpeakersToList">
      <wsdl:input message="tns:addSpeakersToList" name="addSpeakersToList"/>
      <wsdl:output message="tns:addSpeakersToListResponse" name="addSpeakersToListResponse"/>
      <wsdl:fault message="tns:AuthenticationException" name="AuthenticationException"/>
    </wsdl:operation>
    <wsdl:operation name="removeSpeakersToList">
      <wsdl:input message="tns:removeSpeakersToList" name="removeSpeakersToList"/>
      <wsdl:output message="tns:removeSpeakersToListResponse" name="removeSpeakersToListResponse"/>
      <wsdl:fault message="tns:AuthenticationException" name="AuthenticationException"/>
    </wsdl:operation>
    <wsdl:operation name="deletePrintList">
      <wsdl:input message="tns:deletePrintList" name="deletePrintList"/>
      <wsdl:output message="tns:deletePrintListResponse" name="deletePrintListResponse"/>
      <wsdl:fault message="tns:AuthenticationException" name="AuthenticationException"/>
    </wsdl:operation>
    <wsdl:operation name="createPrintList">
      <wsdl:input message="tns:createPrintList" name="createPrintList"/>
      <wsdl:output message="tns:createPrintListResponse" name="createPrintListResponse"/>
      <wsdl:fault message="tns:AuthenticationException" name="AuthenticationException"/>
    </wsdl:operation>
  </wsdl:portType>
  <wsdl:binding name="administrationSoapBinding" type="tns:AdministrationService">
    <soap:binding style="document" transport="http://schemas.xmlsoap.org/soap/http"/>
    <wsdl:operation name="addSpeakersToList">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="addSpeakersToList">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="addSpeakersToListResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="AuthenticationException">
        <soap:fault name="AuthenticationException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="removeSpeakersToList">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="removeSpeakersToList">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="removeSpeakersToListResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="AuthenticationException">
        <soap:fault name="AuthenticationException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="deletePrintList">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="deletePrintList">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="deletePrintListResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="AuthenticationException">
        <soap:fault name="AuthenticationException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
    <wsdl:operation name="createPrintList">
      <soap:operation soapAction="" style="document"/>
      <wsdl:input name="createPrintList">
        <soap:body use="literal"/>
      </wsdl:input>
      <wsdl:output name="createPrintListResponse">
        <soap:body use="literal"/>
      </wsdl:output>
      <wsdl:fault name="AuthenticationException">
        <soap:fault name="AuthenticationException" use="literal"/>
      </wsdl:fault>
    </wsdl:operation>
  </wsdl:binding>
  <wsdl:service name="administration">
    <wsdl:port binding="tns:administrationSoapBinding" name="AdministrationServicePort">
      <soap:address location="https://13.58.109.129/kivoxWeb/soap/administration?wsdl"/>
    </wsdl:port>
  </wsdl:service>
</wsdl:definitions>